<div class="modal-header border-bottom-0">
    <h4 class="header" id="myUserLabel" jhiTranslate="emailTrackingManagement.home.editLabel">
    </h4>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
</div>
<div class="modal-body">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
        <div>
            <jhi-alert-error></jhi-alert-error>

            <div class="form-group">
                <label class="form-control-label" jhiTranslate="emailTrackingManagement.registrar">registrar</label>
                <input type="text" class="form-control" name="registrar"
                       formControlName="registrar">

                <div *ngIf="editForm.get('registrar')!.invalid && (editForm.get('registrar')!.dirty || editForm.get('registrar')!.touched)">
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('registrar')?.errors?.maxlength"
                           jhiTranslate="entity.validation.maxlength"
                           [translateValues]="{ max: 255 }">
                        This field cannot be longer than 255 characters.
                    </small>
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('registrar')?.errors?.pattern"
                           jhiTranslate="entity.validation.patternEmail">
                        This field is invalid.
                    </small>
                </div>
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="emailTrackingManagement.purchaser">purchaser</label> <span class="text-danger">*</span>
                <input type="text" class="form-control" name="purchaser"
                       formControlName="purchaser">

                <div *ngIf="editForm.get('purchaser')!.invalid && (editForm.get('purchaser')!.dirty || editForm.get('purchaser')!.touched)">
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('purchaser')?.errors?.required"
                           jhiTranslate="entity.validation.required">
                        This field is required.
                    </small>
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('purchaser')?.errors?.maxlength"
                           jhiTranslate="entity.validation.maxlength"
                           [translateValues]="{ max: 255 }">
                        This field cannot be longer than 255 characters.
                    </small>
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('purchaser')?.errors?.pattern"
                           jhiTranslate="entity.validation.patternEmail">
                        This field is invalid.
                    </small>
                </div>
            </div>
        </div>
        <div class="modal-footer border-top-0">
            <div class="row justify-content-center">
                <div>
                    <button ngbAutofocus type="button" class="btn btn-outline-primary" (click)="cancel()">
                        &nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                    </button>

                    <button type="submit" [disabled]="editForm.invalid" class="btn btn-primary">
                        &nbsp;<span jhiTranslate="entity.action.resend">Resend</span>
                    </button>
                </div>
            </div>
        </div>
    </form>
</div>

